version: "3"

services:
  watchtower:
    container_name: watchtower
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_watchtower_test
    network_mode: host
    environment:
      - WATCHTOWER_CLEANUP=true
      - WATCHTOWER_POLL_INTERVAL=300
      - WATCHTOWER_DEBUG=true
      - WATCHTOWER_INCLUDE_STOPPED=true
      - WATCHTOWER_RUN_ONCE=true
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ../service/watchtower/config.json:/config.json
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - /etc/localtime:/etc/localtime
